Important

You are viewing documentation for an older version of Confluent Platform. For the latest, click here.

Confluent Platform 1.0.1 Release Notes

This release is a maintenance release that provides Confluent users with Apache Kafka 0.8.2.2, the latest stable version of Kafka. Confluent users are encouraged to upgrade to CP 1.0.1, particularly if they are using Snappy compression. The technical details of this release are summarized in the What’s New section below.

What’s New in CP 1.0.1?

This CP release includes the upgrade of Apache Kafka to 0.8.2.2, which is the latest stable release of Kafka.

Bug fixes

  • KAFKA-2189 - Snappy compression of message batches less efficient in 0.8.2.1
  • KAFKA-2308 - New producer + Snappy face un-compression errors after broker restart

How to Download

CP 1.0.1 is available for download at http://www.confluent.io/developer. Also, our existing apt/yum package repositories of the CP 1.0.x release line include the new 1.0.1 packages. See section Installation for detailed information.

How to Upgrade from CP 1.0.0 to CP 1.0.1

You can upgrade from CP 1.0.0 to CP 1.0.1 by upgrading the installed packages and restarting the respective processes.

###
### Debian OS family
###

# Step 1: Refresh metadata of Confluent package repositories
$ sudo apt-get update

# Step 2: Upgrade the Confluent Platform packages.  The workflow is to
#         stop any running process, upgrade the package, then restart the process.
#
# The example below upgrades the Kafka package (for Scala 2.10.4) from 0.8.2.0 to 0.8.2.2.
$ sudo kafka-server-stop
$ sudo apt-get upgrade confluent-kafka-2.10.4
$ sudo kafka-server-start /etc/kafka/server.properties


###
### Red Hat OS family
###

# Step 1: Refresh metadata of Confluent package repositories
$ sudo yum clean all

# Step 2: Upgrade the Confluent Platform packages.  The workflow is to
#         stop any running process, upgrade the package, then restart the process.
#
# The example below upgrades the Kafka package (for Scala 2.10.4) from 0.8.2.0 to 0.8.2.2.
$ sudo kafka-server-stop
$ sudo yum update confluent-kafka-2.10.4
$ sudo kafka-server-start /etc/kafka/server.properties

Questions?

If you have questions regarding this release, feel free to reach out via the Confluent Platform mailing list. Confluent customers are encouraged to contact our support directly.